<?php 
$title = "Show Scrollbar";
$tags = "CSS, scrollbar";
$root = "";
setcookie("scrollbar", "true", time() + (86400 * 30), "/"); // 86400 - one day
require $root."includes/start-meta.php"; 
?>
	<link rel="stylesheet" href="styles/splash.css" />
	<link rel="stylesheet" href="styles/fonts.css" />
	<style>
		html, body {margin: 0; height: 100%; overflow: hidden}
	</style>
</head>
<body>
	<h1>Display Scrollbar on this Site</h1>

	<div style="width: 80%; text-align: center; margin-left: auto; margin-right: auto;">
	<p>This site hides the scrollbar by default as a stylistic choice.</p>

	<p>I have found Pale Moon cannot properly render my site because of this. I have attempted to fix this via detecting their user-agent and serving specific CSS, but some users may spoof their user-agent. If you are one of these people, or you use a browser I'm not aware of with the same problem, or you just like it better with one - using this allows you to view the site normally, with a scrollbar.</p>

	<p><b>Warning:</b> This implementation uses cookies. Your browser must be capable of at least utilising first-party cookies. This cookie tells me absolutely nothing about you, and is not logged anywhere - it merely means that you have visited this page.</p>

	<p>You can unset this option by entering 'document.cookies="scrollbar=false"' into your browser's JavaScript console, or otherwise clearing the cookies. It will automatically expire 30 days after your last visit of this page.</p>

	<a style="font-size: 1.8em;" href="home.php">Continue to Homepage</a>
	</div>
</body>
</html>
